Package wx :: Class FontData

[frames | no frames]

## Type FontData

    object --+
             |
        Object --+
                 |
                FontData

This class holds a variety of information related to font dialogs and is used to transfer settings to and results from a `wx.FontDialog`.

Method Summary
FontData | ``__init__`(self)` This class holds a variety of information related to font dialogs and is used to transfer settings to and results from a `wx.FontDialog`.
| `__del__(self)`
| ``EnableEffects`(self, enable)` Enables or disables 'effects' under MS Windows only.
bool | ``GetAllowSymbols`(self)` Under MS Windows, returns a flag determining whether symbol fonts can be selected.
Font | ``GetChosenFont`(self)` Gets the font chosen by the user.
Colour | ``GetColour`(self)` Gets the colour associated with the font dialog.
bool | ``GetEnableEffects`(self)` Determines whether 'effects' are enabled under Windows.
Font | ``GetInitialFont`(self)` Gets the font that will be initially used by the font dialog.
bool | ``GetShowHelp`(self)` Returns true if the Help button will be shown (Windows only).
| ``SetAllowSymbols`(self, allowSymbols)` Under MS Windows, determines whether symbol fonts can be selected.
| ``SetChosenFont`(self, font)` Sets the font that will be returned to the user (normally for internal use only).
| ``SetColour`(self, colour)` Sets the colour that will be used for the font foreground colour.
| ``SetInitialFont`(self, font)` Sets the font that will be initially used by the font dialog.
| ``SetRange`(self, min, max)` Sets the valid range for the font point size (Windows only).
| ``SetShowHelp`(self, showHelp)` Determines whether the Help button will be displayed in the font dialog (Windows only).

Property Summary
| `AllowSymbols`: See `GetAllowSymbols` and `SetAllowSymbols`
| `ChosenFont`: See `GetChosenFont` and `SetChosenFont`
| `Colour`: See `GetColour` and `SetColour`
| `InitialFont`: See `GetInitialFont` and `SetInitialFont`
| `ShowHelp`: See `GetShowHelp` and `SetShowHelp`
| `thisown`: The membership flag

Method Details

### __init__(self)
(Constructor)

This class holds a variety of information related to font dialogs and is used to transfer settings to and results from a `wx.FontDialog`.

  Returns:
    FontData
  Overrides:
    `wx.Object.__init__`

### EnableEffects(self, enable)

Enables or disables 'effects' under MS Windows only. This refers to the controls for manipulating colour, strikeout and underline properties. The default value is true.

  Parameters:
    `enable`
    (type=bool)

### GetAllowSymbols(self)

Under MS Windows, returns a flag determining whether symbol fonts can be selected. Has no effect on other platforms. The default value is true.

  Returns:
    bool

### GetChosenFont(self)

Gets the font chosen by the user.

  Returns:
    Font

### GetColour(self)

Gets the colour associated with the font dialog. The default value is black.

  Returns:
    Colour

### GetEnableEffects(self)

Determines whether 'effects' are enabled under Windows.

  Returns:
    bool

### GetInitialFont(self)

Gets the font that will be initially used by the font dialog. This should have previously been set by the application.

  Returns:
    Font

### GetShowHelp(self)

Returns true if the Help button will be shown (Windows only). The default value is false.

  Returns:
    bool

### SetAllowSymbols(self, allowSymbols)

Under MS Windows, determines whether symbol fonts can be selected. Has no effect on other platforms. The default value is true.

  Parameters:
    `allowSymbols`
    (type=bool)

### SetChosenFont(self, font)

Sets the font that will be returned to the user (normally for internal use only).

  Parameters:
    `font`
    (type=Font)

### SetColour(self, colour)

Sets the colour that will be used for the font foreground colour. The default colour is black.

  Parameters:
    `colour`
    (type=Colour)

### SetInitialFont(self, font)

Sets the font that will be initially used by the font dialog.

  Parameters:
    `font`
    (type=Font)

### SetRange(self, min, max)

Sets the valid range for the font point size (Windows only). The default is 0, 0 (unrestricted range).

  Parameters:
    `min`
    (type=int)

    `max`
    (type=int)

### SetShowHelp(self, showHelp)

Determines whether the Help button will be displayed in the font dialog (Windows only). The default value is false.

  Parameters:
    `showHelp`
    (type=bool)

Property Details

### AllowSymbols

See `GetAllowSymbols` and `SetAllowSymbols`

  Get Method:
    `GetAllowSymbols`(self)
  Set Method:
    `SetAllowSymbols`(self, allowSymbols)

### ChosenFont

See `GetChosenFont` and `SetChosenFont`

  Get Method:
    `GetChosenFont`(self)
  Set Method:
    `SetChosenFont`(self, font)

### Colour

See `GetColour` and `SetColour`

  Get Method:
    `GetColour`(self)
  Set Method:
    `SetColour`(self, colour)

### InitialFont

See `GetInitialFont` and `SetInitialFont`

  Get Method:
    `GetInitialFont`(self)
  Set Method:
    `SetInitialFont`(self, font)

### ShowHelp

See `GetShowHelp` and `SetShowHelp`

  Get Method:
    `GetShowHelp`(self)
  Set Method:
    `SetShowHelp`(self, showHelp)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:26 2007 | http://epydoc.sf.net